> ## Documentation Index
> Fetch the complete documentation index at: https://secdocs.asikoexpress.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get referral code, totals (successful referrals, rewards earned), and referral history



## OpenAPI

````yaml /openapi/engagement-service.json get /v1/referrals
openapi: 3.0.0
info:
  title: Asiko Engagement Service
  description: Notifications, campaigns/discounts, and analytics/reporting
  version: '1.0'
  contact: {}
servers: []
security: []
tags:
  - name: notifications
    description: ''
  - name: campaigns
    description: ''
  - name: analytics
    description: ''
paths:
  /v1/referrals:
    get:
      tags:
        - referrals
      summary: >-
        Get referral code, totals (successful referrals, rewards earned), and
        referral history
      operationId: ReferralsController_getSummary
      parameters: []
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReferralSummaryResponseDto'
      security:
        - bearer: []
components:
  schemas:
    ReferralSummaryResponseDto:
      type: object
      properties:
        referralCode:
          type: string
        totalSuccessfulReferrals:
          type: number
        totalRewardsEarned:
          type: number
        history:
          type: array
          items:
            $ref: '#/components/schemas/ReferralHistoryItemResponseDto'
      required:
        - referralCode
        - totalSuccessfulReferrals
        - totalRewardsEarned
        - history
    ReferralHistoryItemResponseDto:
      type: object
      properties:
        date:
          type: string
        friendFullName:
          type: string
        status:
          type: string
          enum:
            - PENDING
            - SUCCESSFUL
        points:
          type: number
      required:
        - date
        - friendFullName
        - status
        - points
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````